Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class Layer

    java.lang.Object
      com.huguesjohnson.tiamat.graphics.Layer

public class Layer
extends java.lang.Object

class Layer - a layer (or plane) that contains drawable items

Author:
  Hugues Johnson

Field Summary
`static int` | `DEFAULT_LAYER_TYPE` default layer type
`static int` | `TYPE_DIALOG` a layer where dialogs are displayed
`static int` | `TYPE_MAP` a layer with a map associated to it
`static int` | `TYPE_SPRITE` a layer where sprites move

Constructor Summary
`Layer()`
`Layer(int type)`
`Layer(java.lang.String mapPath, Formatter formatter)`

Method Summary
`Map` | `getMap()`
`java.lang.String` | `getMapPath()`
`java.lang.String` | `getMapPathAbsolute()`
`int` | `getType()`
`Map` | `loadMap(Formatter formatter)`
`void` | `setAbsoluteDir(java.lang.String absoluteDir)`
`void` | `setMapPath(java.lang.String mapPath, Formatter formatter)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_MAP

    public static final int TYPE_MAP

  a layer with a map associated to it

  See Also:
    Constant Field Values

### TYPE_SPRITE

    public static final int TYPE_SPRITE

  a layer where sprites move

  See Also:
    Constant Field Values

### TYPE_DIALOG

    public static final int TYPE_DIALOG

  a layer where dialogs are displayed

  See Also:
    Constant Field Values

### DEFAULT_LAYER_TYPE

    public static final int DEFAULT_LAYER_TYPE

  default layer type

  See Also:
    Constant Field Values

Constructor Detail

### Layer

    public Layer()

### Layer

    public Layer(int type)

### Layer

    public Layer(java.lang.String mapPath,
                 Formatter formatter)

Method Detail

### getType

    public int getType()

### setType

    public void setType(int type)

### getMap

    public Map getMap()

### loadMap

    public Map loadMap(Formatter formatter)

### getMapPath

    public java.lang.String getMapPath()

### getMapPathAbsolute

    public java.lang.String getMapPathAbsolute()

### setMapPath

    public void setMapPath(java.lang.String mapPath,
                           Formatter formatter)

### setAbsoluteDir

    public void setAbsoluteDir(java.lang.String absoluteDir)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD